Bug 466062 - RFE: hint that shared physical devices must be bridges
RFE: hint that shared physical devices must be bridges
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
10
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 20:03 EDT by James Ralston
Modified: 2009-09-18 12:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-18 12:32:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2008-10-07 20:03:35 EDT
When creating a new guest, in the "Connect to host network" configuration screen, I think it would be very helpful to adjust the "shared networking" tip from this:

    Tip: Choose this option if your host is statically connected to
    wired ethernet, to gain the ability to migrate the virtual system.

To this:

    Tip: Choose this option if your host is statically connected to
    wired ethernet, to gain the ability to migrate the virtual system.
    (To share a physical device, configure it as a bridge.)

The virt-manager documentation doesn't mention this requirement directly, which is very confusing for system administrators new to libvirt/virt-manager.

For more info, see this thread:

https://www.redhat.com/archives/fedora-devel-list/2008-October/msg00182.html
Comment 1 Cole Robinson 2009-01-23 15:24:39 EST
(In reply to comment #0)
> When creating a new guest, in the "Connect to host network" configuration
> screen, I think it would be very helpful to adjust the "shared networking" tip
> from this:
> 
>     Tip: Choose this option if your host is statically connected to
>     wired ethernet, to gain the ability to migrate the virtual system.
> 
> To this:
> 
>     Tip: Choose this option if your host is statically connected to
>     wired ethernet, to gain the ability to migrate the virtual system.
>     (To share a physical device, configure it as a bridge.)
> 

Thanks for this recommendation, I've committed it (and added you to AUTHORS):

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/dbc540cf61c2


> The virt-manager documentation doesn't mention this requirement directly, which
> is very confusing for system administrators new to libvirt/virt-manager.
>
> For more info, see this thread:
> 
> https://www.redhat.com/archives/fedora-devel-list/2008-October/msg00182.html

No argument here: lack of documentation is a huge problem in the virt space. In the near future I am going to update the virt-manager help pages to explain all this stuff and point to appropriate resources: as it stands they are horribly out of date.

Anyways, moving to POST.
Comment 2 Fedora Update System 2009-03-04 14:21:15 EST
virt-manager-0.6.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/virt-manager-0.6.1-1.fc10
Comment 3 Fedora Update System 2009-03-05 11:29:29 EST
virt-manager-0.6.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2390
Comment 4 Cole Robinson 2009-09-18 12:32:55 EDT
Fixed in virt-manager-0.6.1-3.fc10 which is in F10. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.